package com.iformall.enums;

public enum EnumCarPayType {

    NO_PAY(0, "进出场车辆"),
    PAY(1, "进出场车辆缴费")
    ;

    public static EnumCarPayType getEnum(Integer code) {
        for (EnumCarPayType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCarPayType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
